- entityDefinitions:
  - IDC_LogicalOperator: '{340d464a-b47d-40a2-a185-be4d974b5899}'

  - IDI_LogicalOperator_EqualTo: '{733e1fb4-6366-4813-bebb-1e6a7bf504db}'
  - IDI_LogicalOperator_NotEqualTo: '{c357f835-6b3c-446c-922e-6e867e116fb5}'
  - IDI_LogicalOperator_GreaterThan: '{f79b96b7-3c57-455f-87ce-1a3372be65b8}'
  - IDI_LogicalOperator_LessThan: '{8b7b92d4-6297-4f1d-ba11-7cad9d33f517}'
  - IDI_LogicalOperator_GreaterThanOrEqualTo: '{3a4eb7be-f96b-45ac-b97a-bb8fbfc35923}'
  - IDI_LogicalOperator_LessThanOrEqualTo: '{528e5637-f995-4a6d-93c3-f5e1e62b4517}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_LogicalOperator;'
    index: 149
    name: 'Logical Operator'
    inherits: '&IDC_BooleanOperator;'
    description: operator that is the target of an EBE - Evaluate Boolean Expression Method
    customTagName: 'logicalOperator'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'

  # - logicalOperator: '&IDI_LogicalOperator_And;'
  # - logicalOperator: '&IDI_LogicalOperator_Or;'
  # - logicalOperator: '&IDI_LogicalOperator_Not;'
  - logicalOperator: '&IDI_LogicalOperator_EqualTo;'
    name: 'Equal To'
  - logicalOperator: '&IDI_LogicalOperator_NotEqualTo;'
    name: 'Not Equal To'
  - logicalOperator: '&IDI_LogicalOperator_GreaterThan;'
    name: 'Greater Than'
  - logicalOperator: '&IDI_LogicalOperator_LessThan;'
    name: 'Less Than'
  - logicalOperator: '&IDI_LogicalOperator_GreaterThanOrEqualTo;'
    name: 'Greater Than Or Equal To'
  - logicalOperator: '&IDI_LogicalOperator_LessThanOrEqualTo;'
    name: 'Less Than Or Equal To'
